PEEKFD(1)

NOM
peekfd - examiner les descripteurs de fichiers des processus en cours d'exécution

SYNOPSIS
peekfd [-8,--eight-bit-clean] [-n,--no-headers] [-c,--follow] [-d,--duplicates-removed] [-V,--version] [-h,--help] pid [fd] [fd] ...

DESCRIPTION
peekfd s'attache à un processus en cours et intercepte toutes les lectures et les écritures dans les descripteurs de fichiers. Vous pouvez spécifier les numéros des descripteurs de fichiers désirés ou les vidanger tous.

OPTIONS

-8  Ne pas effectuer de post-traitement sur les octets lus ou écrits.

-n  Ne pas afficher d'en-têtes indiquant l'origine des octets vidangés.

-c  Vidanger aussi les activités des descripteurs de fichiers requis dans tout processus enfant qui est créé.

-d  Retirer les lectures/écritures dupliquées de la sortie. Si vous regardez un tty avec écho, vous pourriez avoir besoin de ceci.

-v  Afficher la chaîne de version.

-h  Afficher un message d'aide.

FICHIERS
/proc/*/fd
    Inutilisé mais utile pour montrer à l'utilisateur les bons numéros de descripteurs de fichiers.

ENVIRONNEMENT
Aucun.

DIAGNOSTICS
Les diagnostiques suivants peuvent être émis sur stderr :

Erreur lors de l'attachement au pid <PID>
    Une erreur inconnue est survenue en essayant de s'attacher à un processus, vous avez peut-être besoin d'être root.

BOGUES
Probablement beaucoup. Ne soyez pas surpris si le processus surveillé meurt.

AUTEUR
Trent Waddington (trent.waddington@gmail.com)

VOIR AUSSI
ttysnoop(8)